# Create a signing basket Endpoint: POST /signing-baskets Version: 1.0.0 Security: Api access ## Header parameters: - `TPP-Redirect-URI` (string) The url to redirect the user to after authorization. - `PSU-IP-Address` (string) IP Address of the PSU. - `Consent-ID` (string) The consent id. Should be set unless a specific Subscription-Id is used. - `Channel-Type` (string) The banking channel. Enum: "unspecified", "openBanking", "psd2" - `Subscription-Id` (string) Id of the subscription to use. Only supported for Channel-Type openBanking. - `Resource-Group-Name` (string) Name of the resource group to use in the specified subscription. Only supported for Channel-Type openBanking - `Scopes` (array) Resource scopes to use, mutually exclusive with subscriptionId. - /: Use all resources available. - /subscriptions/7fdf00601dfb: Use all resources in subscription 7fdf00601dfb. - /subscriptions/7fdf00601dfb/resource-groups/my-company: Use all resources within subscription 7fdf00601dfb and resource-group my-company. Example: "/subscriptions/7fdf00601dfb/resource-groups/my-company" - `api-version` (string) ## Request fields (application/json): - `paymentIds` (array, required) Id of the payments Example: ["A30D7108-A584-4C32-95ED-8FF4BB5A7C2C"] ## Response 201 fields (application/json): - `transactionStatus` (string) The "most negative" status of all the payments Enum: "acsp", "actc", "acwc", "rcvd", "rjct" - `basketId` (string) Id of the signing basket Example: "09ACBC7B-15E1-4E4A-B2A0-551345EB4360" - `paymentIds` (array) Id of the payments Example: ["A30D7108-A584-4C32-95ED-8FF4BB5A7C2C"] - `consentIds` (array) Id of the consents Example: ["1E5EFC3B-635E-4973-A605-41D7F0D6D7B3"] - `_links` (object) - `_links.self` (object) - `_links.self.href` (string) Url to a resource Example: "https://banking.aritma.io/api/accounts/1234/transactions?fromDate=2019-08-24T14:15:22Z" - `_links.self.verb` (string) The http verb the link is accessible through Enum: "get", "post", "put", "delete" - `_links.status` (object) - `_links.startAuthorization` (null) - `_links.scaRedirect` (null) ## Response 400 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string) ## Response 401 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string) ## Response 403 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string) ## Response 404 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string)